Bug 191034 - Default paper size not selected in Gnome print dialogue
Default paper size not selected in Gnome print dialogue
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-print (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-08 06:58 EDT by Gavin Simpson
Modified: 2008-05-06 11:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:53:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gavin Simpson 2006-05-08 06:58:51 EDT
Description of problem:

Gnome print dialogue does not pick-up printer default paper size. Tested in
Evolution, Gedit and Evince. The paper size selected in US LETTER, not A4. When
launching these apps from the command line and attempting to print, the
following errors are printed to the console when opening the print dialogue:

Model not found, discarding config
GnomePrintCupsPlugin-Message: The ppd file for the CUPS printer HPColourLaserJ
could not be loaded.
GnomePrintCupsPlugin-Message: The ppd file for the CUPS printer HPLaserJ could
not be loaded.

In Evince, if you close the print dialogue (Click Cancel) and then choose to
print again immediately, no errors are issued and the dialogue chooses the
default paper size of A4 properly. This does not happen with Evolution or Gedit
- these apps always get the default wrong.

The problem is also found when running the apps in the normal way from the Gnome
desktop - the error messages are perhaps informative, but you don't need to run
these apps from the terminal to recreate the problem.

How reproducible: Always

Steps to Reproduce:
1. Open Evince
2. Open a pdf file
3. Choose Print... from tool bar
4. Dialogue automatically chooses US LETTER paper size
  
Actual results:
US LETTER paper size selected by default

Expected results:
A4 paper size selected by default


Additional info:

Printer HPLaserJ is configured in printconf-gui to have default paper size of A4.

Tried to set media=A4 in /etc/cups/lpoptions and ~/.lpoptions but this doesn't
change the default paper size selected.

Have deleted and recreated the printer definitions using printconf-gui but this
didn't change behaviour.

Bash locale settings:

$ locale -vk LC_PAPER
height=297
width=210
paper-codeset="UTF-8"

$ locale
LANG=en_GB.UTF-8
LC_CTYPE="en_GB.UTF-8"
LC_NUMERIC="en_GB.UTF-8"
LC_TIME="en_GB.UTF-8"
LC_COLLATE="en_GB.UTF-8"
LC_MONETARY="en_GB.UTF-8"
LC_MESSAGES="en_GB.UTF-8"
LC_PAPER="en_GB.UTF-8"
LC_NAME="en_GB.UTF-8"
LC_ADDRESS="en_GB.UTF-8"
LC_TELEPHONE="en_GB.UTF-8"
LC_MEASUREMENT="en_GB.UTF-8"
LC_IDENTIFICATION="en_GB.UTF-8"
LC_ALL=
Comment 1 Gavin Simpson 2006-05-17 06:31:31 EDT
So overnight, yum updated the following packages:

May 17 05:46:43 Updated: cups-libs.i386 1:1.2.0-1.1
May 17 05:46:45 Updated: php.i386 5.1.4-1
May 17 05:46:45 Updated: libsane-hpaio.i386 0.9.11-1.1
May 17 05:46:45 Updated: php-pdo.i386 5.1.4-1
May 17 05:46:45 Updated: hpijs.i386 1:0.9.11-1.1
May 17 05:46:46 Updated: vnc.i386 4.1.1-37.fc5
May 17 05:46:48 Updated: php-pear.noarch 1:1.4.9-1
May 17 05:47:07 Updated: xemacs-sumo.noarch 20060510-2.fc5
May 17 05:47:09 Updated: php-mysql.i386 5.1.4-1
May 17 05:47:13 Updated: cups.i386 1:1.2.0-1.1
May 17 05:47:16 Updated: hplip.i386 0.9.11-1.1

which obviously includes things critical to prting in Fedora (cups hpijs hplip),
and I now seem to have a Gnome print dialogue that obeys my default paper A4.
Seeing as I've not changed anything else I guess the problem was somewhere in
one of these packages and this has now been fixed. At least on my system.

G(In reply to comment #0)
> Description of problem:
> 
> Gnome print dialogue does not pick-up printer default paper size. Tested in
> Evolution, Gedit and Evince. The paper size selected in US LETTER, not A4. When
> launching these apps from the command line and attempting to print, the
> following errors are printed to the console when opening the print dialogue:
> 
> Model not found, discarding config
> GnomePrintCupsPlugin-Message: The ppd file for the CUPS printer HPColourLaserJ
> could not be loaded.
> GnomePrintCupsPlugin-Message: The ppd file for the CUPS printer HPLaserJ could
> not be loaded.
> 
> In Evince, if you close the print dialogue (Click Cancel) and then choose to
> print again immediately, no errors are issued and the dialogue chooses the
> default paper size of A4 properly. This does not happen with Evolution or Gedit
> - these apps always get the default wrong.
> 
> The problem is also found when running the apps in the normal way from the Gnome
> desktop - the error messages are perhaps informative, but you don't need to run
> these apps from the terminal to recreate the problem.
> 
> How reproducible: Always
> 
> Steps to Reproduce:
> 1. Open Evince
> 2. Open a pdf file
> 3. Choose Print... from tool bar
> 4. Dialogue automatically chooses US LETTER paper size
>   
> Actual results:
> US LETTER paper size selected by default
> 
> Expected results:
> A4 paper size selected by default
> 
> 
> Additional info:
> 
> Printer HPLaserJ is configured in printconf-gui to have default paper size of A4.
> 
> Tried to set media=A4 in /etc/cups/lpoptions and ~/.lpoptions but this doesn't
> change the default paper size selected.
> 
> Have deleted and recreated the printer definitions using printconf-gui but this
> didn't change behaviour.
> 
> Bash locale settings:
> 
> $ locale -vk LC_PAPER
> height=297
> width=210
> paper-codeset="UTF-8"
> 
> $ locale
> LANG=en_GB.UTF-8
> LC_CTYPE="en_GB.UTF-8"
> LC_NUMERIC="en_GB.UTF-8"
> LC_TIME="en_GB.UTF-8"
> LC_COLLATE="en_GB.UTF-8"
> LC_MONETARY="en_GB.UTF-8"
> LC_MESSAGES="en_GB.UTF-8"
> LC_PAPER="en_GB.UTF-8"
> LC_NAME="en_GB.UTF-8"
> LC_ADDRESS="en_GB.UTF-8"
> LC_TELEPHONE="en_GB.UTF-8"
> LC_MEASUREMENT="en_GB.UTF-8"
> LC_IDENTIFICATION="en_GB.UTF-8"
> LC_ALL=

(In reply to comment #0)
> Description of problem:
> 
> Gnome print dialogue does not pick-up printer default paper size. Tested in
> Evolution, Gedit and Evince. The paper size selected in US LETTER, not A4. When
> launching these apps from the command line and attempting to print, the
> following errors are printed to the console when opening the print dialogue:
> 
> Model not found, discarding config
> GnomePrintCupsPlugin-Message: The ppd file for the CUPS printer HPColourLaserJ
> could not be loaded.
> GnomePrintCupsPlugin-Message: The ppd file for the CUPS printer HPLaserJ could
> not be loaded.
> 
> In Evince, if you close the print dialogue (Click Cancel) and then choose to
> print again immediately, no errors are issued and the dialogue chooses the
> default paper size of A4 properly. This does not happen with Evolution or Gedit
> - these apps always get the default wrong.
> 
> The problem is also found when running the apps in the normal way from the Gnome
> desktop - the error messages are perhaps informative, but you don't need to run
> these apps from the terminal to recreate the problem.
> 
> How reproducible: Always
> 
> Steps to Reproduce:
> 1. Open Evince
> 2. Open a pdf file
> 3. Choose Print... from tool bar
> 4. Dialogue automatically chooses US LETTER paper size
>   
> Actual results:
> US LETTER paper size selected by default
> 
> Expected results:
> A4 paper size selected by default
> 
> 
> Additional info:
> 
> Printer HPLaserJ is configured in printconf-gui to have default paper size of A4.
> 
> Tried to set media=A4 in /etc/cups/lpoptions and ~/.lpoptions but this doesn't
> change the default paper size selected.
> 
> Have deleted and recreated the printer definitions using printconf-gui but this
> didn't change behaviour.
> 
> Bash locale settings:
> 
> $ locale -vk LC_PAPER
> height=297
> width=210
> paper-codeset="UTF-8"
> 
> $ locale
> LANG=en_GB.UTF-8
> LC_CTYPE="en_GB.UTF-8"
> LC_NUMERIC="en_GB.UTF-8"
> LC_TIME="en_GB.UTF-8"
> LC_COLLATE="en_GB.UTF-8"
> LC_MONETARY="en_GB.UTF-8"
> LC_MESSAGES="en_GB.UTF-8"
> LC_PAPER="en_GB.UTF-8"
> LC_NAME="en_GB.UTF-8"
> LC_ADDRESS="en_GB.UTF-8"
> LC_TELEPHONE="en_GB.UTF-8"
> LC_MEASUREMENT="en_GB.UTF-8"
> LC_IDENTIFICATION="en_GB.UTF-8"
> LC_ALL=

Comment 2 Bug Zapper 2008-04-03 22:50:25 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 3 Bug Zapper 2008-05-06 11:53:12 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.